curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/instances \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const instances = await turso.databases.listInstances("my-db");
{
"instances": [
{
"uuid": "0be90471-6906-11ee-8553-eaa7715aeaf2",
"name": "aws-us-east-1",
"type": "primary",
"region": "aws-us-east-1",
"hostname": "[databaseName]-[organizationSlug].turso.io"
}
]
}Databases
List Database Instances
Returns a list of instances of a database. Instances are the individual primary or replica databases in each region defined by the group.
GET
/
v1
/
organizations
/
{organizationSlug}
/
databases
/
{databaseName}
/
instances
curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/instances \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const instances = await turso.databases.listInstances("my-db");
{
"instances": [
{
"uuid": "0be90471-6906-11ee-8553-eaa7715aeaf2",
"name": "aws-us-east-1",
"type": "primary",
"region": "aws-us-east-1",
"hostname": "[databaseName]-[organizationSlug].turso.io"
}
]
}curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/instances \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const instances = await turso.databases.listInstances("my-db");
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the organization or user account.
The name of the database.
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
Was this page helpful?